=head1 NAME

Gtk2::Tooltip

=cut

=head1 HIERARCHY

  Glib::Object
  +----Gtk2::Tooltip



=cut


=head1 METHODS

=head2 $tooltip-E<gt>B<set_custom> ($custom_widget)

=over

=item * $custom_widget (Gtk2::Widget or undef) 

=back

=head2 $tooltip-E<gt>B<set_icon_from_icon_name> ($icon_name, $size)

=over

=item * $icon_name (string) 

=item * $size (Gtk2::IconSize) 

=back

Since: gtk+ 2.14

=head2 $tooltip-E<gt>B<set_icon_from_stock> ($stock_id, $size)

=over

=item * $stock_id (string or undef) 

=item * $size (Gtk2::IconSize) 

=back

=head2 $tooltip-E<gt>B<set_icon> ($pixbuf)

=over

=item * $pixbuf (Gtk2::Gdk::Pixbuf or undef) 

=back

=head2 $tooltip-E<gt>B<set_markup> ($markup)

=over

=item * $markup (string or undef) 

=back

=head2 $tooltip-E<gt>B<set_text> ($text)

=over

=item * $text (string or undef) 

=back

=head2 $tooltip-E<gt>B<set_tip_area> ($rect)

=over

=item * $rect (Gtk2::Gdk::Rectangle or undef) 

=back

=head2 Gtk2::Tooltip::trigger_tooltip_query ($display)

=over

=item * $display (Gtk2::Gdk::Display) 

=back





=cut


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::IconSize

=over

=item * 'invalid' / 'GTK_ICON_SIZE_INVALID'

=item * 'menu' / 'GTK_ICON_SIZE_MENU'

=item * 'small-toolbar' / 'GTK_ICON_SIZE_SMALL_TOOLBAR'

=item * 'large-toolbar' / 'GTK_ICON_SIZE_LARGE_TOOLBAR'

=item * 'button' / 'GTK_ICON_SIZE_BUTTON'

=item * 'dnd' / 'GTK_ICON_SIZE_DND'

=item * 'dialog' / 'GTK_ICON_SIZE_DIALOG'

=back




=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

